Package org.kapott.hbci.GV

# Class GVCardList

java.lang.Object
org.kapott.hbci.GV.HBCIJobImpl
org.kapott.hbci.GV.GVCardList

All Implemented Interfaces:
  `HBCIJob`

public class GVCardList extends HBCIJobImpl

## Field Summary

### Fields inherited from class org.kapott.hbci.GV.HBCIJobImpl

`jobResult`

## Constructor Summary

Constructors
Constructor
Description
`GVCardList(HBCIHandler handler)`

## Method Summary

Modifier and Type
Method
Description
`void`
`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`static String`
`getLowlevelName()`
`protected boolean`
`redoAllowed()`
Wir erlauben per Default erstmal kein Redo bei einem 3040-Code.
`void`
`verifyConstraints()`

### Methods inherited from class org.kapott.hbci.GV.HBCIJobImpl

`acceptsParam, addConstraint, addConstraint, addSignaturePassport, addToQueue, addToQueue, applyOffset, canNationalAcc, checkAccountCRC, createJobSegment, createJobSegment, fillJobResult, fillJobResultFromTanJob, getChallengeParam, getExternalId, getHBCICode, getJobName, getJobParameterNames, getJobRestrictions, getJobResult, getJobResultNames, getLowlevelParam, getLowlevelParams, getMainPassport, getMaxNumberPerMsg, getMinSigs, getName, getOrderAccount, getParentHandler, getSecurityClass, getSegVersion, getSignaturePassports, haveTan, redo, saveReturnValues, setExternalId, setIdx, setLowlevelParam, setParam, setParam, setParam, setParam, setParam, setParam, setParam, setParam, setParam, setSegVersion, skip, skipped, tanApplied, twoDigitValueInList`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GVCardList

public GVCardList(HBCIHandler handler)

## Method Details

### getLowlevelName

public static String getLowlevelName()

### redoAllowed

protected boolean redoAllowed()
Description copied from class: `HBCIJobImpl`
Wir erlauben per Default erstmal kein Redo bei einem 3040-Code. Es sei denn, im Job ist explizit uebeschrieben. Siehe https://homebanking-hilfe.de/forum/topic.php?p=150614#real150614

Overrides:
  `redoAllowed` in class `HBCIJobImpl`
Returns:
  true, wenn redo erlaubt ist.
See Also:
  - `HBCIJobImpl.redoAllowed()`

### extractResults

public void extractResults(HBCIMsgStatus msgstatus, String header, int idx)

Overrides:
  `extractResults` in class `HBCIJobImpl`

### verifyConstraints

public void verifyConstraints()

Overrides:
  `verifyConstraints` in class `HBCIJobImpl`